View Issue Details

IDProjectCategoryView StatusLast Update
0008708Tine 2.0Tinebasepublic2018-04-24 13:14
ReporterpschueleAssigned Topschuele 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2017.11.8dev1 Caroline BE DevelopFixed in Version2017.11.8dev1 Caroline BE Develop 
Summary0008708: switch to mysql utf8mb4
Descriptionswitch to mysql utf8mb4

- to add full (4 byte) unicode charset support
Additional Informationhttp://mathiasbynens.be/notes/mysql-utf8mb4
TagsNo tags attached.
mwticket

Relationships

related to 0008644 resolvedpschuele error when sending mail with note (wrong charset) 
related to 0011240 new Emojis are replaced with '?' 

Activities

pschuele

pschuele

2018-04-24 12:20

administrator   ~0021688

We changed the default charset to UTF8MB4. All tables in the Tine 2.0 Database are converted during
 the Update. This requires either MySQL 5.7.7+ or MariaDB 10.2.2+ with default settings. Earlier versions are supported
 with non default settings. MySQL 5.6+ and MariaDB 10.0+ need to set:
    innodb_large_prefix = 1
    innodb_file_format = 'Barracuda'
    innodb_file_per_table = 'ON'
The update script will test these settings and abort if prerequisites are not met.

Issue History

Date Modified Username Field Change
2013-07-31 16:27 pschuele New Issue
2013-07-31 16:34 pschuele Relationship added related to 0008644
2013-08-08 09:59 pschuele Target Version => on the horizon
2015-08-24 16:47 pschuele Relationship added related to 0011240
2018-04-24 12:19 pschuele Assigned To => pmehrer
2018-04-24 12:19 pschuele Target Version on the horizon => 2017.11.8dev1 Caroline BE Develop
2018-04-24 12:20 pschuele Note Added: 0021688
2018-04-24 12:20 pschuele Assigned To pmehrer => pschuele
2018-04-24 12:20 pschuele Status new => gerrit
2018-04-24 13:14 pschuele Status gerrit => resolved
2018-04-24 13:14 pschuele Resolution open => fixed
2018-04-24 13:14 pschuele Fixed in Version => 2017.11.8dev1 Caroline BE Develop